Payments.GetCreditCardExpirationReport

Try it in Swagger

Endpoint

Request Schema

Headers

Header Required Notes
X-Api-Key Required when tenant is not resolved by subdomain Resolves the tenant/customer database.
Authorization: Bearer {token} Required for authorized endpoints Get a token from Auth/Token or Session/Create.

Path Parameters

Field Type Required Notes
customerCode string Yes Route segment.

This endpoint does not accept a JSON request body.

Expected Response Schema

Status Codes

Status Notes
200 OK Returned by the controller for this operation.
401 Unauthorized The caller lacks payment permission for the requested customer. Body is a plain string message: "You do not have permissions to access payment info".

Success Body

Response type: IReadOnlyList<PaymentDisplayDto>

Field Type Max Length Notes
psId int
nickName string
type PaymentTypeEnum
routingNumber string
accountNumber string
bankName string
isChecking bool
cardNumber string
expiration string
cardType string
isAutoPayAccount bool

Response Sample

[
  {
    "psId": 123,
    "nickName": "Corporate Visa",
    "type": "Standard",
    "routingNumber": "REF-12345",
    "accountNumber": "REF-12345",
    "bankName": "First National Bank",
    "isChecking": false,
    "cardNumber": "REF-12345",
    "expiration": "12/2028",
    "cardType": "Standard",
    "isAutoPayAccount": false
  }
]